%define	name	xmms-modplug
%define oname modplugxmms
%define version 2.05
%define release %mkrel 8

Name:		%{name}
Summary:	Modplug Plugin for XMMS
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/modplug-xmms/%oname-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
Provides: modplug-xmms
Obsoletes: modplug-xmms
BuildRequires:	libxmms-devel
BuildRequires:  libmodplug-devel >= 1:0.7

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%prep
%setup -q -n %oname-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libmodplugxmms.la
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/modplugplay
%{_libdir}/xmms/Input/libmodplugxmms.so


%changelog
* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.05-8mdv2007.0
+ Revision: 109402
- Import xmms-modplug



* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.05-8mdv2007.1
- Rebuild

* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 2.05-7mdv2007.0
- remove menu

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.05-6mdk
- Rebuild
- use mkrel

* Wed Jan 05 2005 Michael Scherer <misc@mandrake.org> 2.05-5mdk
- Rebuild, to solve missing symbols errors

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.05-4mdk
- from Michael Collard some x86_64 fixes

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.05-3mdk
- add xmms menu entry

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.05-2mdk
- source URL
- new g++

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.05-1mdk
- renamed from modplug-xmms
- new version

* Sun Sep 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-4mdk
- small spec fixes
- fix buildrequires

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-3mdk
- rebuild for new rpm

* Mon Jun  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-2mdk
- drop patch
- build with automake 1.6

* Tue May 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.04-1mdk
- add new binary
- patch to work around missing automake1.6
- drop all patches
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-4mdk
- mklibname macro

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-3mdk
- fix buildrequires

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-2mdk
- fix build for rpm 
- patch1: don't flush output device (compatibility with the crossfader) 

* Wed Oct 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-1mdk
- autoconf 2.5 macro
- use included configure script
- 2.03

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-3mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- 2.02
- drop pstreams and patch, not needed anymore
- use bugfix patch from the author
- enable nls to make it build

* Tue Jun 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.01-1mdk
- 2.01
- drop patch1

* Sun Jun  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- gcc 3.1 port (bzip2 and gzip support currently broken)

* Mon Oct 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0-1mdk
- split library package
- patched for creating versioned library libmodplug.so.0
- updated files section
- BuildConflicts older modplug-xmms
- 2.0
- changed License tag, now it's Public Domain

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.5a

* Fri Jan 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release
